copfile=['Cop_2016_P1.nc'];
% filen inneholder Kopepoditter for alle kvadrater

ladim_start = ncreadatt(copfile,'time','units')   % Finner tidspunktet da vi startet ladim
 
%LASTER INN VARIABLE
conc=ncread(copfile,'conc'); %conc er antall smittsomme luselarver som har vrt innom gridruten i lpet av et dgn
lon=ncread(copfile,'lon');   % lengdegrad
lat=ncread(copfile,'lat');   % breddegrad





% REGNER OM
%conc_1=sum(conc(:,:,01:90),3);   % summerer over den aktuelle perioden 1:90 alts alle dager
%conc_2=conc_1./(800*800*24);      % rekner om til per m2 per dogn

in='Austnesta'; % nsket fylke
%------------------Finner lokalitets koordinater med tilhrende lusepress------------
[num1,txt2,raw1] = xlsread('lakselushele2016');%('fishhealth.xlsx'); % importerer hele excel dokumentet
%num1=0;
txt1=0;
p = strcmpi(in,raw1(:,11));% Compare user input string with entries in the Excel sheet
rowNum1 = find(p==1);%Get row number
Hordaland=raw1(rowNum1,:);

%Fjerner brakklagte anlegg
p2 = strcmpi('Nei',Hordaland(:,8));% Compare user input string with entries in the Excel sheet
rowNum2 = find(p2==1);%Get row number
Hordalandaktiv=Hordaland(rowNum2,:);

% Etablerer start for sjekk om informasjon er tilgjengelig for data vektor
Voksnelusregistrert=zeros(80,1);
Tempregistrert=zeros(80,1);
Bevegligeregistrert=zeros(80,1);
Fastsittende=zeros(80,1);
Tiltakregistrert=zeros(80,1);
%-----------------------------------------------------------------

% finner alle lokalitets navn ;
a=unique( Hordalandaktiv(:,4) );
AntallAnlegg=size((a));
Region=cell(AntallAnlegg(1,1),8); %lager tom matrise p strrelse med antall anlegg
Region(:,1)=Hordalandaktiv(1,11); %benevner alle med fylke
Region(:,2)=unique( Hordalandaktiv(:,4) ); % setter inn lokalitet
rader=size(Hordalandaktiv);
Regionen=cell(rader(1,1),17);
% etablerer matrise med all data fra alle anlegg
Plassimatrise=0; %Holde tritt med plassering av lokaliteter



[num,txt,raw2] = xlsread('tiltak.xlsx'); % importerer hele excel dokumentet til tiltak





for i=1:AntallAnlegg(1,1)   %tar ett og ett anlegg fra "Region" 
     p3 = strcmpi(char(Region(i,2)),Hordalandaktiv(:,4)); % finner hvor info om anlegg ligger
     rowNum3 = find(p3==1);
     Lokalitetinfo=Hordalandaktiv(rowNum3,:); %Lager matrise innebefattende all info om lokalitet
    
%-----henter press for gitt lokalitet----
% sett inn koordinater for lokasjon
latlok=cell2mat(Lokalitetinfo(1,12));%    64.81013;
lonlok=cell2mat(Lokalitetinfo(1,13));%    10.74565;
%%
%  
%Finner lateral lokasjon i matrise
distlat = abs(lat-latlok)+abs(lon-lonlok); % Find distance to numbers in list, denne er fin
[~, min_latrow] = min(distlat); % finner rad nummer for hver kollones minste differanse
X=min(distlat); % returnerer minste differanse for alle kolonner
[~, min_latrow2] = min(X); % finner kolonne nummer
kolonne=min_latrow2; %Lager nytt navn for kolonne
rad=min_latrow(kolonne);% finner rad nummer 
%Lager matrise med Kopepodittpress for lokasjon gjennom syklus---      
Kopepoditter=zeros(90,1);
for kop=1:89
Kopepoditter(kop,1)=(sum(conc(rad,kolonne,kop:kop+1),3)/24); %dytter inn tilhrende kopepodittniv
%if sum(Kopepoditter)==0 % sjekker om rubrikk er utenfor kopepoditt simulert press
%   testkop(1,1)=distlat(rad,kolonne+1);
%   testkop(2,1)=distlat(rad,kolonne-1) ;
%   testkop(3,1)=distlat(rad+1,kolonne);   %Jobb videre med eventuelt. er
%   vanskelig?
%   testkop(4,1)=distlat(rad-1,kolonne);
   
end
for mer=1:340 %fyll i matrise ved manglende verdier
    Kopepoditter(90+mer,1)=0;
end
%------------------
storrelse=size(Lokalitetinfo); %Antall uker med info
Startuke=cell2mat(Lokalitetinfo(storrelse(1,1),1)); %finner frste uke med info


% lager matrise for anlegg for gjennomfrte tiltak

      p4 = strcmpi(char(Lokalitetinfo(1,4)),raw2(:,4)); % finner hvor info om anlegg ligger
     rowNum3 = find(p4==1);
     tiltakstr=size(rowNum3);
     Tiltak=cell(tiltakstr(1,1),4);
     Tiltak(:,1)=raw2(rowNum3,1);
     Tiltak(:,2)=raw2(rowNum3,4);
     Tiltak(:,3)=raw2(rowNum3,5);
     Tiltak(:,4)=raw2(rowNum3,8);



for j=1:storrelse(1,1)
    %i
    %j
   % ppt=Plassimatrise+(storrelse(1,1)-j+1)
     Regionen(Plassimatrise+(storrelse(1,1)-j+1),1)=Lokalitetinfo((storrelse(1,1)-j+1),11);  %Fylkenavn
     Regionen(Plassimatrise+(storrelse(1,1)-j+1),2)=Lokalitetinfo((storrelse(1,1)-j+1),4);  %Lokalitetsnavn
     Regionen(Plassimatrise+(storrelse(1,1)-j+1),3)=Lokalitetinfo((storrelse(1,1)-j+1),12);  %Latitude
     Regionen(Plassimatrise+(storrelse(1,1)-j+1),4)=Lokalitetinfo((storrelse(1,1)-j+1),13); %longitude
     Regionen(Plassimatrise+(storrelse(1,1)-j+1),5)=Lokalitetinfo((storrelse(1,1)-j+1),1); %Uke
   
     %legger inn tiltak
     for y=1:tiltakstr(1,1)
     if  cell2mat(Regionen(Plassimatrise+(storrelse(1,1)-j+1),5))==cell2mat(Tiltak(y,1)) && cell2mat(Tiltak(y,4))>=0
         Regionen(Plassimatrise+(storrelse(1,1)-j+1),17)=num2cell(0);
     elseif cell2mat(Regionen(Plassimatrise+(storrelse(1,1)-j+1),5))==cell2mat(Tiltak(y,1))
        Regionen(Plassimatrise+(storrelse(1,1)-j+1),17)=num2cell(1); 
     else
         Regionen(Plassimatrise+(storrelse(1,1)-j+1),17)=num2cell(0);
     end
     end
     
     %Regionen(Plassimatrise+(storrelse(1,1)-j+1),10)=Tiltak((storrelse(1,1)-j+1),3); %Uke
    %Regionen(Plassimatrise+(storrelse(1,1)-j+1),11)=Tiltak((storrelse(1,1)-j+1),4); %Uke
     % Fjern NaN fra matrise-----
     if 0<=cell2mat(Lokalitetinfo((storrelse(1,1)-j+1),16)) % TEMPERATUR
        % (Lokalitetinfo((storrelse(1,1)-j+1),16))=='NaN'
         Regionen(Plassimatrise+(storrelse(1,1)-j+1),6)=Lokalitetinfo((storrelse(1,1)-j+1),16); %Temp
     else
          Regionen(Plassimatrise+(storrelse(1,1)-j+1),6)=num2cell(0); %Fjerner NaN fra ligninger
          Tempregistrert(cell2mat(Regionen(Plassimatrise+(storrelse(1,1)-j+1),5)),1)=Tempregistrert(cell2mat(Regionen(Plassimatrise+(storrelse(1,1)-j+1),5)),1)+1;
     end
      if 0<=cell2mat(Lokalitetinfo((storrelse(1,1)-j+1),5)) %VOKSNEHUNNLUS
        % (Lokalitetinfo((storrelse(1,1)-j+1),16))=='NaN'
         Regionen(Plassimatrise+(storrelse(1,1)-j+1),7)=Lokalitetinfo((storrelse(1,1)-j+1),5); 
     else
          Regionen(Plassimatrise+(storrelse(1,1)-j+1),7)=num2cell(0); %Fjerner NaN fra ligninger
          Voksnelusregistrert(cell2mat(Regionen(Plassimatrise+(storrelse(1,1)-j+1),5)),1)=Voksnelusregistrert(cell2mat(Regionen(Plassimatrise+(storrelse(1,1)-j+1),5)),1)+1;
      end
     
      if 0<=cell2mat(Lokalitetinfo((storrelse(1,1)-j+1),6)) %Bevegeligelus
        % (Lokalitetinfo((storrelse(1,1)-j+1),16))=='NaN'
          Regionen(Plassimatrise+(storrelse(1,1)-j+1),8)=Lokalitetinfo((storrelse(1,1)-j+1),6); 
     else
           Regionen(Plassimatrise+(storrelse(1,1)-j+1),8)=num2cell(0); %Fjerner NaN fra ligninger
          Bevegligeregistrert(cell2mat(Regionen(Plassimatrise+(storrelse(1,1)-j+1),5)),1)=Bevegligeregistrert(cell2mat(Regionen(Plassimatrise+(storrelse(1,1)-j+1),5)),1)+1;
      end
    
     if 0<=cell2mat(Lokalitetinfo((storrelse(1,1)-j+1),7)) %Fastsittende
        % (Lokalitetinfo((storrelse(1,1)-j+1),16))=='NaN'
          Regionen(Plassimatrise+(storrelse(1,1)-j+1),9)=Lokalitetinfo((storrelse(1,1)-j+1),7); 
     else
           Regionen(Plassimatrise+(storrelse(1,1)-j+1),9)=num2cell(0); %Fjerner NaN fra ligninger
          Fastsittende(cell2mat(Regionen(Plassimatrise+(storrelse(1,1)-j+1),5)),1)=Fastsittende(cell2mat(Regionen(Plassimatrise+(storrelse(1,1)-j+1),5)),1)+1;
     end
     
     if cell2mat(Regionen(Plassimatrise+(storrelse(1,1)-j+1),17))==1
        if  cell2mat(Regionen(Plassimatrise+(storrelse(1,1)-j+1),17))==0
         Regionen(Plassimatrise+(storrelse(1,1)-j+1),17)=Regionen(Plassimatrise+(storrelse(1,1)-j+1),17);
        end
     else
         Regionen(Plassimatrise+(storrelse(1,1)-j+1),17)=num2cell(0);
         %Tiltakregistrert(cell2mat(Regionen(Plassimatrise+(storrelse(1,1)-j+1),5)),1))=Tiltakregistrert(cell2mat(Regionen(Plassimatrise+(storrelse(1,1)-j+1),5)),1)+1;
      
     end
     
  
      
     if cell2mat(Regionen(Plassimatrise+(storrelse(1,1)-j+1),5))==14
          for e=1:7 %Legger til kop niver for uken, 7 verdier. 
     Regionen(Plassimatrise+(storrelse(1,1)-j+1),9+e)=num2cell(Kopepoditter((Startuke)+e+(7*(j-1)),1)); % legg inn tilleggsmatriser for korrelasjons testing
    % Regionen(Plassimatrise+(storrelse(1,1)-j+1),9+e)=num2cell(Kopepoditter((Startuke-13)+e+(7*(j-1)),1)); % legg inn tilleggsmatriser for korrelasjons testing
          end
     end
     % pp=Plassimatrise+j
    % ppr=9+e
    % ppe=Startuke-13+e+(7*(j-1))
    
          
         Regionen(Plassimatrise+j,18)=num2cell(distlat(rad,kolonne)); %avvik for lokasjon 
end          
Plassimatrise=Plassimatrise+storrelse(1,1);% starter med  vre 0
end % End stor lkke

% Lager fylkes oversikt
sammendrag=zeros(1,13);
for i=14:52%26

matrisefinner= find(cell2mat(Regionen(:,5))==i);
antall=size(matrisefinner);


Sammendrag(i-12,1)=(sum(cell2mat(Regionen(matrisefinner,4+1))))/(antall(1,1));
Sammendrag(i-12,2)=(sum(cell2mat(Regionen(matrisefinner,4+2))))/(antall(1,1)-Tempregistrert(i,1));
Sammendrag(i-12,3)=(sum(cell2mat(Regionen(matrisefinner,4+3))))/(antall(1,1)-Voksnelusregistrert(i,1));
Sammendrag(i-12,4)=(sum(cell2mat(Regionen(matrisefinner,4+4))))/(antall(1,1)-Bevegligeregistrert(i,1));
Sammendrag(i-12,5)=(sum(cell2mat(Regionen(matrisefinner,4+5))))/(antall(1,1)-Fastsittende(i,1));
Sammendrag(i-12,17)=(sum(cell2mat(Regionen(matrisefinner,17))));
for j=6:12
Sammendrag(i-12,j)=(sum(cell2mat(Regionen(matrisefinner,4+j))))/(antall(1,1));
end
Sammendrag(i-12,13)=sum(Sammendrag(i-12,7:12));
end

figure
grid on
grid minor
axis([12 52 0 inf])
title('Lusepress, Luseniver og Temperatur for Sogn og Fjordane')

yyaxis left
%bar(x1,d,1,'FaceColor',[0 0.7 0.99])
plot(Sammendrag(:,1),Sammendrag(:,13))

%bar(Sammendrag(:,1),Sammendrag(:,13),0.99,'FaceColor',[0 0 0])
ylabel('Kopepoditter per 800*800 m^2 for Hordaland')
xlabel('Uke i 2016')

yyaxis right
%bar(x1,a+b+c,0.99,'Facecolor',[0 0.7 0.6])
%plot(Sammendrag(:,1),Sammendrag(:,3))
%ylabel('Antall lus per fisk')

hold on
plot(Sammendrag(:,1),Sammendrag(:,2))


bar(Sammendrag(:,1),Sammendrag(:,3),0.7,'FaceColor',[0.4 0.8 0.1])
bar(Sammendrag(:,1),Sammendrag(:,4),0.5,'FaceColor',[0.3 0.5 0.7])
bar(Sammendrag(:,1),Sammendrag(:,5),0.3,'FaceColor',[0.8 0.2 0.9]) 
ylabel('Antall lus per fisk')

legend('Lusepress','Temperatur','Voksne hunnlus','Lus i Bevegelig stadier', 'Fastsittende lus')
%plot(Lusetall(:,1),Lusetall(:,2),Lusetall(:,1),Lusetall(:,3),Lusepress(:,1),Lusepress(:,2))

hold off


figure
grid on
grid minor
axis([12 52 0 inf])
title('Luseniver og tiltak for Nord Trndelag')
hold on

yyaxis left
%bar(x1,d,1,'FaceColor',[0 0.7 0.99])
%plot(Sammendrag(:,1),Sammendrag(:,13))
%plot(Sammendrag(:,1),Sammendrag(:,2))
plot(Sammendrag(:,1),Sammendrag(:,17))
ylabel('Aktive Tiltak mot lakselus')
xlabel('Uke i 2016')

yyaxis right
bar(Sammendrag(:,1),Sammendrag(:,3),0.7,'FaceColor',[0.4 0.8 0.1])
bar(Sammendrag(:,1),Sammendrag(:,4),0.5,'FaceColor',[0.3 0.5 0.7])
bar(Sammendrag(:,1),Sammendrag(:,5),0.3,'FaceColor',[0.8 0.2 0.9])

%bar(alpha(s,.5))
ylabel('Antall lus per fisk')

legend('Tiltak','Voksne hunnlus','Lus i Bevegelig stadier', 'Fastsittende lus')
%plot(Lusetall(:,1),Lusetall(:,2),Lusetall(:,1),Lusetall(:,3),Lusepress(:,1),Lusepress(:,2))
hold off



subplot(2,2,1); plot(Sammendrag(:,1),Sammendrag(:,17))
ylabel('Aktive Tiltak mot lakselus');xlabel('Uke i 2016')

%bar(x1,d,1,'FaceColor',[0 0.7 0.99])
%plot(Sammendrag(:,1),Sammendrag(:,13))
%plot(Sammendrag(:,1),Sammendrag(:,2))



subplot(2,2,2) ;bar(Sammendrag(:,1),Sammendrag(:,3),0.7,'FaceColor',[0.4 0.8 0.1]);bar(Sammendrag(:,1),Sammendrag(:,4),0.5,'FaceColor',[0.3 0.5 0.7]);bar(Sammendrag(:,1),Sammendrag(:,5),0.3,'FaceColor',[0.8 0.2 0.9]) 
ylabel('Antall lus per fisk')

legend('Tiltak','Voksne hunnlus','Lus i Bevegelig stadier', 'Fastsittende lus')
%plot(Lusetall(:,1),Lusetall(:,2),Lusetall(:,1),Lusetall(:,3),Lusepress(:,1),Lusepress(:,2))




